Vulnerabilità: CVE-2020-26118

In SmartBear Collaboratore Server tramite 13.3.13302, l’uso delle API di Google Web Toolkit (GWT) introduce un post-autenticazione Java vulnerabilità deserializzazione. Classe UpdateMemento dell’applicazione accetta un oggetto Java serializzato direttamente dall’utente, senza sanificazione correttamente. Un oggetto dannoso può essere inviato al server tramite un utente malintenzionato autenticato di eseguire comandi sul sistema sottostante.


https://support.smartbear.com/collaborator/docs/general-info/version-history/ver-13/ver-13-0.html
https://support.smartbear.com/collaborator/docs/general-info/whats-new.html
https://support.smartbear.com/collaborator/docs/server/index.html
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-26118


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi